package capitulo03.bloque03;

import static capitulo03.utils.Utils.solicitarIntScanner;

public class Ejercicio1 {
    public static void main(String[] args) {
        int num = -1, suma = 0, i;

        for (i = -1; num != 0; i++) {
            num = solicitarIntScanner("Introduzca el siguiente número: (Si pone 0, terminará el programa)");
            if (i == -1 && num != 0) {
                suma = num;
            } else if (num != 0) {
                suma += num;
            }
        }
        System.out.println("La suma de los números introducidos es: " + suma);
        System.out.println("La media de los números introducidos es: " + (suma / (float) i));
    }
}

